Subject: Re: [ -d ' ' ] && echo yes
From: Norton Allen <[email-masked]>
To: [email-masked] (Elfyn McBratney)
Cc: [email-masked], [email-masked]
Date: Mon, 3 Feb 2003 17:41:42 -0500 (est)

Elfyn McBratney wrote:
> 
> > Are you saying it's a feature? If so, a feature of cygwin or
> > of Windows? Under the Windows Command Prompt, cd " " does not
> > complain, and leaves you in the current directory as you
> > describe, but dir " " gives an error. This is certainly
> > not how it works under other OSes.
> 
> 
> I'm pretty sure it's a feature of SUSv3... Or one of the other POSIXy
> standards.
> 
> However I've been working for hours so my brain is fried and may be spewing
> out random recollections '-)

  FWIW, I've just tested on Linux (of some flavor) and OpenBSD,
  and neither thinks ' ' is a directory.
  
  In any event, I'd like to figure out whether it's a bug or
  a feature under Cygwin so I can move forward.
  
   -Norton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/